cdac.medinfo.sdk.hl7282.utils

## Enum EnumHL7System

- java.lang.Object
- - java.lang.Enum<EnumHL7System>
  - - cdac.medinfo.sdk.hl7282.utils.EnumHL7System

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumHL7System>

      public enum EnumHL7System
      extends java.lang.Enum<EnumHL7System>

  This enum represents enumeration of HL7 System.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HL7_SYSTEM_APPLICATIONMANAGEMENT` Enum constant of applicationmanagement Segment
    `HL7_SYSTEM_CLAIMSANDREIMBURSEMENT` Enum constant of eclaims Segment
    `HL7_SYSTEM_CLINICALLABORATORYAUTOMATION` Enum constant of clinicallaboratoryautomation Segment
    `HL7_SYSTEM_FINANCIALMANAGEMENT` Enum constant of financialmanagement Segment
    `HL7_SYSTEM_LOCALEXTENSION` Enum constant of localextenstion Segment
    `HL7_SYSTEM_MASTERFILES` Enum constant of masterfiles Segment
    `HL7_SYSTEM_MATERIALSMANAGEMENT` Enum constant of materialsmanagemnt Segment
    `HL7_SYSTEM_MEDICALRECORDS` Enum constant of medicalrecords Segment
    `HL7_SYSTEM_OBSERVATIONREPORTING` Enum constant of observationreporting Segment
    `HL7_SYSTEM_ORDERENTRY` Enum constant of ordrentry Segment
    `HL7_SYSTEM_PATIENTADMINISTRATION` Enum constant of patientadministration Segment
    `HL7_SYSTEM_PATIENTCARE` Enum constant of patientcare Segment
    `HL7_SYSTEM_PATIENTREFERRAL` Enum constant of patientreferral Segment
    `HL7_SYSTEM_PERSONNELMANAGEMENT` Enum constant of personnemanagement Segment
    `HL7_SYSTEM_QUERY` Enum constant of query Segment
    `HL7_SYSTEM_SCHEDULING` Enum constant of scheduling Segment

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumHL7System` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumHL7System[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HL7_SYSTEM_APPLICATIONMANAGEMENT

          public static final EnumHL7System HL7_SYSTEM_APPLICATIONMANAGEMENT

      Enum constant of applicationmanagement Segment

    - #### HL7_SYSTEM_CLINICALLABORATORYAUTOMATION

          public static final EnumHL7System HL7_SYSTEM_CLINICALLABORATORYAUTOMATION

      Enum constant of clinicallaboratoryautomation Segment

    - #### HL7_SYSTEM_LOCALEXTENSION

          public static final EnumHL7System HL7_SYSTEM_LOCALEXTENSION

      Enum constant of localextenstion Segment

    - #### HL7_SYSTEM_FINANCIALMANAGEMENT

          public static final EnumHL7System HL7_SYSTEM_FINANCIALMANAGEMENT

      Enum constant of financialmanagement Segment

    - #### HL7_SYSTEM_MASTERFILES

          public static final EnumHL7System HL7_SYSTEM_MASTERFILES

      Enum constant of masterfiles Segment

    - #### HL7_SYSTEM_MEDICALRECORDS

          public static final EnumHL7System HL7_SYSTEM_MEDICALRECORDS

      Enum constant of medicalrecords Segment

    - #### HL7_SYSTEM_OBSERVATIONREPORTING

          public static final EnumHL7System HL7_SYSTEM_OBSERVATIONREPORTING

      Enum constant of observationreporting Segment

    - #### HL7_SYSTEM_ORDERENTRY

          public static final EnumHL7System HL7_SYSTEM_ORDERENTRY

      Enum constant of ordrentry Segment

    - #### HL7_SYSTEM_PATIENTADMINISTRATION

          public static final EnumHL7System HL7_SYSTEM_PATIENTADMINISTRATION

      Enum constant of patientadministration Segment

    - #### HL7_SYSTEM_PATIENTCARE

          public static final EnumHL7System HL7_SYSTEM_PATIENTCARE

      Enum constant of patientcare Segment

    - #### HL7_SYSTEM_PATIENTREFERRAL

          public static final EnumHL7System HL7_SYSTEM_PATIENTREFERRAL

      Enum constant of patientreferral Segment

    - #### HL7_SYSTEM_PERSONNELMANAGEMENT

          public static final EnumHL7System HL7_SYSTEM_PERSONNELMANAGEMENT

      Enum constant of personnemanagement Segment

    - #### HL7_SYSTEM_QUERY

          public static final EnumHL7System HL7_SYSTEM_QUERY

      Enum constant of query Segment

    - #### HL7_SYSTEM_SCHEDULING

          public static final EnumHL7System HL7_SYSTEM_SCHEDULING

      Enum constant of scheduling Segment

    - #### HL7_SYSTEM_CLAIMSANDREIMBURSEMENT

          public static final EnumHL7System HL7_SYSTEM_CLAIMSANDREIMBURSEMENT

      Enum constant of eclaims Segment

    - #### HL7_SYSTEM_MATERIALSMANAGEMENT

          public static final EnumHL7System HL7_SYSTEM_MATERIALSMANAGEMENT

      Enum constant of materialsmanagemnt Segment

  - ### Method Detail

    - #### values

          public static EnumHL7System[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumHL7System c : EnumHL7System.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumHL7System valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of EnumHL7System on which it is called.